Package org.apache.tools.ant.taskdefs.optional.clearcase

# Class CCCheckout

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.apache.tools.ant.taskdefs.optional.clearcase.ClearCase
org.apache.tools.ant.taskdefs.optional.clearcase.CCCheckout

All Implemented Interfaces:
  `java.lang.Cloneable`

    public class CCCheckout
    extends ClearCase

Performs ClearCase checkout.

The following attributes are interpreted:

Task attributes
Attribute | Values | Required
--- | --- | ---
viewpath | Path to the ClearCase view file or directory that the command will operate on | No
reserved | Specifies whether to check out the file as reserved or not | Yes
out | Creates a writable file under a different filename | No
nodata | Checks out the file but does not create an editable file containing its data | No
branch | Specify a branch to check out the file to | No
version | Allows checkout of a version other than main latest | No
nowarn | Suppress warning messages | No
comment | Specify a comment. Only one of comment or cfile may be used. | No
commentfile | Specify a file containing a comment. Only one of comment or cfile may be used. | No
notco | Fail if it's already checked out to the current view. Set to false to ignore it. | No
failonerr | Throw an exception if the command fails. Default is true | No

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static java.lang.String` | `FLAG_BRANCH` | -branch flag -- checks out the file on a specified branch
`static java.lang.String` | `FLAG_COMMENT` | -c flag -- comment to attach to the file
`static java.lang.String` | `FLAG_COMMENTFILE` | -cfile flag -- file containing a comment to attach to the file
`static java.lang.String` | `FLAG_NOCOMMENT` | -nc flag -- no comment is specified
`static java.lang.String` | `FLAG_NODATA` | -ndata flag -- checks out the file but does not create an editable file containing its data
`static java.lang.String` | `FLAG_NOWARN` | -nwarn flag -- suppresses warning messages
`static java.lang.String` | `FLAG_OUT` | -out flag -- create a writable file under a different filename
`static java.lang.String` | `FLAG_RESERVED` | -reserved flag -- check out the file as reserved
`static java.lang.String` | `FLAG_UNRESERVED` | -reserved flag -- check out the file as unreserved
`static java.lang.String` | `FLAG_VERSION` | -version flag -- allows checkout of a version that is not main latest

### Fields inherited from class org.apache.tools.ant.taskdefs.optional.clearcase.ClearCase

`COMMAND_CHECKIN, COMMAND_CHECKOUT, COMMAND_LOCK, COMMAND_LSCO, COMMAND_MKATTR, COMMAND_MKBL, COMMAND_MKDIR, COMMAND_MKELEM, COMMAND_MKLABEL, COMMAND_MKLBTYPE, COMMAND_RMTYPE, COMMAND_UNCHECKOUT, COMMAND_UNLOCK, COMMAND_UPDATE`

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`CCCheckout()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `execute()` | Executes the task.
`java.lang.String` | `getBranch()` | Get branch name
`java.lang.String` | `getComment()` | Get comment string
`java.lang.String` | `getCommentFile()` | Get comment file
`boolean` | `getNoData()` | Get nodata flag status
`boolean` | `getNotco()` | Get notco flag status
`boolean` | `getNoWarn()` | Get nowarn flag status
`java.lang.String` | `getOut()` | Get out file
`boolean` | `getReserved()` | Get reserved flag status
`boolean` | `getVersion()` | Get version flag status
`void` | `setBranch​(java.lang.String branch)` | Specify a branch to check out the file to.
`void` | `setComment​(java.lang.String comment)` | Sets the comment string.
`void` | `setCommentFile​(java.lang.String cfile)` | Specifies a file containing a comment.
`void` | `setNoData​(boolean ndata)` | If true, checks out the file but does not create an editable file containing its data.
`void` | `setNotco​(boolean notco)` | If true, checkout fails if the element is already checked out to the current view.
`void` | `setNoWarn​(boolean nwarn)` | If true, warning messages are suppressed.
`void` | `setOut​(java.lang.String outf)` | Creates a writable file under a different filename.
`void` | `setReserved​(boolean reserved)` | If true, checks out the file as reserved.
`void` | `setVersion​(boolean version)` | If true, allows checkout of a version other than main latest.

### Methods inherited from class org.apache.tools.ant.taskdefs.optional.clearcase.ClearCase

`getClearToolCommand, getFailOnErr, getObjSelect, getViewPath, getViewPathBasename, run, runS, runS, setClearToolDir, setFailOnErr, setObjSelect, setViewPath`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### FLAG_RESERVED

public static final java.lang.String FLAG_RESERVED
-reserved flag -- check out the file as reserved

See Also:
  Constant Field Values

### FLAG_UNRESERVED

public static final java.lang.String FLAG_UNRESERVED
-reserved flag -- check out the file as unreserved

See Also:
  Constant Field Values

### FLAG_OUT

public static final java.lang.String FLAG_OUT
-out flag -- create a writable file under a different filename

See Also:
  Constant Field Values

### FLAG_NODATA

public static final java.lang.String FLAG_NODATA
-ndata flag -- checks out the file but does not create an editable file containing its data

See Also:
  Constant Field Values

### FLAG_BRANCH

public static final java.lang.String FLAG_BRANCH
-branch flag -- checks out the file on a specified branch

See Also:
  Constant Field Values

### FLAG_VERSION

public static final java.lang.String FLAG_VERSION
-version flag -- allows checkout of a version that is not main latest

See Also:
  Constant Field Values

### FLAG_NOWARN

public static final java.lang.String FLAG_NOWARN
-nwarn flag -- suppresses warning messages

See Also:
  Constant Field Values

### FLAG_COMMENT

public static final java.lang.String FLAG_COMMENT
-c flag -- comment to attach to the file

See Also:
  Constant Field Values

### FLAG_COMMENTFILE

public static final java.lang.String FLAG_COMMENTFILE
-cfile flag -- file containing a comment to attach to the file

See Also:
  Constant Field Values

### FLAG_NOCOMMENT

public static final java.lang.String FLAG_NOCOMMENT
-nc flag -- no comment is specified

See Also:
  Constant Field Values

## Constructor Details

### CCCheckout

public CCCheckout()

## Method Details

### execute

public void execute() throws BuildException
Executes the task.

Builds a command line to execute cleartool and then calls Exec's run method to execute the command line.

Overrides:
  `execute` in class `Task`
Throws:
  `BuildException` - if the command fails and failonerr is set to true

### setReserved

public void setReserved​(boolean reserved)
If true, checks out the file as reserved.

Parameters:
  `reserved` - the status to set the flag to

### getReserved

public boolean getReserved()
Get reserved flag status

Returns:
  boolean containing status of reserved flag

### setNotco

public void setNotco​(boolean notco)
If true, checkout fails if the element is already checked out to the current view.

Parameters:
  `notco` - the status to set the flag to
Since:
  ant 1.6.1

### getNotco

public boolean getNotco()
Get notco flag status

Returns:
  boolean containing status of notco flag
Since:
  ant 1.6.1

### setOut

public void setOut​(java.lang.String outf)
Creates a writable file under a different filename.

Parameters:
  `outf` - the path to the out file

### getOut

public java.lang.String getOut()
Get out file

Returns:
  String containing the path to the out file

### setNoData

public void setNoData​(boolean ndata)
If true, checks out the file but does not create an editable file containing its data.

Parameters:
  `ndata` - the status to set the flag to

### getNoData

public boolean getNoData()
Get nodata flag status

Returns:
  boolean containing status of ndata flag

### setBranch

public void setBranch​(java.lang.String branch)
Specify a branch to check out the file to.

Parameters:
  `branch` - the name of the branch

### getBranch

public java.lang.String getBranch()
Get branch name

Returns:
  String containing the name of the branch

### setVersion

public void setVersion​(boolean version)
If true, allows checkout of a version other than main latest.

Parameters:
  `version` - the status to set the flag to

### getVersion

public boolean getVersion()
Get version flag status

Returns:
  boolean containing status of version flag

### setNoWarn

public void setNoWarn​(boolean nwarn)
If true, warning messages are suppressed.

Parameters:
  `nwarn` - the status to set the flag to

### getNoWarn

public boolean getNoWarn()
Get nowarn flag status

Returns:
  boolean containing status of nwarn flag

### setComment

public void setComment​(java.lang.String comment)
Sets the comment string.

Parameters:
  `comment` - the comment string

### getComment

public java.lang.String getComment()
Get comment string

Returns:
  String containing the comment

### setCommentFile

public void setCommentFile​(java.lang.String cfile)
Specifies a file containing a comment.

Parameters:
  `cfile` - the path to the comment file

### getCommentFile

public java.lang.String getCommentFile()
Get comment file

Returns:
  String containing the path to the comment file